Skip to main content
GET
/
traces
cURL
curl --request GET \
  --url https://api.opper.ai/v2/traces \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total_count": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_time": "2023-11-07T05:31:56Z",
      "end_time": "2023-11-07T05:31:56Z",
      "duration_ms": 123,
      "status": "<string>",
      "name": "<string>",
      "input": "<string>",
      "output": "<string>",
      "total_tokens": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string | null

The name of the trace to filter by, the name of a trace is the name of the root span of the trace

offset
integer
default:0

The offset to start the list from

Required range: x >= 0
limit
integer
default:100

The number of traces to return

Required range: 1 <= x <= 100

Response

Successful Response

meta
Meta · object
required

Metadata about the response

data
ListTracesResponse · object[]
required

List of items returned in the response